CVE-2020-35524

NameCVE-2020-35524
DescriptionA heap-based buffer overflow flaw was found in libtiff in the handling of TIFF images in libtiff's TIFF2PDF tool. A specially crafted TIFF file can lead to arbitrary code execution. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4869-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)stretch (security), stretch4.0.8-2+deb9u5vulnerable
buster, buster (security)4.1.0+git191117-2~deb10u2fixed
bullseye, sid4.2.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsourcebuster4.1.0+git191117-2~deb10u2DSA-4869-1
tiffsource(unstable)4.1.0+git201212-1

Notes

[stretch] - tiff <no-dsa> (can be fixed along in next DLA)
https://gitlab.com/libtiff/libtiff/-/commit/7be2e452ddcf6d7abca88f41d3761e6edab72b22
https://gitlab.com/libtiff/libtiff/-/merge_requests/159

Search for package or bug name: Reporting problems